Bug 236491 - Review Request: ruby-romkan - Romaji <-> Kana conversion library for Ruby
Review Request: ruby-romkan - Romaji <-> Kana conversion library for Ruby
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Package Reviews List
:
Depends On:
Blocks: 236493
  Show dependency treegraph
 
Reported: 2007-04-15 05:13 EDT by Mamoru TASAKA
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 21:12:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chitlesh: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2007-04-15 05:13:50 EDT
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/ruby-romkan.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/ruby-romkan-0.4-1.fc7.src.rpm
Mock build log on FC-devel i386: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/LOGS/MOCK-ruby-romkan.log
Description: 
Ruby/Romkan is a Romaji <-> Kana conversion library for Ruby. It can
convert a Japanese Romaji string to a Japanese Kana string or vice
versa.
Comment 1 Chitlesh GOORAH 2007-04-16 03:05:04 EDT
The package looks good. I'll take the reviewer.

However rpmlint spits:
chitlesh(SPECS)
[2]$rpmlint /home/chitlesh/rpmbuild/SRPMS/ruby-romkan-0.4-1.src.rpm
W: ruby-romkan strange-permission ruby-romkan.spec 0600
W: ruby-romkan strange-permission ruby-romkan-0.4.tar.gz 0600
W: ruby-romkan mixed-use-of-spaces-and-tabs (spaces: line 5, tab: line 1)
Comment 2 Chitlesh GOORAH 2007-04-16 03:12:19 EDT
MUST Items:

- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license 
and meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license 
Ruby(GPL).
- MUST: The spec file is written in American English.
- MUST: The sources used to build the package must matches the upstream 
source, as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files 
listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} 
(or $RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros 
section
of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described 
in detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If 
it is in %doc, the program must run properly if it is not present.
- MUST: The package does not contain library files with a suffix 
- MUST: Package does not own files or directories already owned by other 
packages. 

SHOULD Items:

 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No scriptlets were used, those scriptlets must be sane. 
 - SHOULD: No subpackages present.

APPROVED!
Comment 3 Chitlesh GOORAH 2007-04-16 03:14:05 EDT
Please fix the rpmlint issues as said in Comment #2.
Comment 4 Mamoru TASAKA 2007-04-16 03:49:12 EDT
Thank you!

(In reply to comment #1)
> However rpmlint spits:
> chitlesh(SPECS)
> [2]$rpmlint /home/chitlesh/rpmbuild/SRPMS/ruby-romkan-0.4-1.src.rpm
> W: ruby-romkan strange-permission ruby-romkan.spec 0600
> W: ruby-romkan strange-permission ruby-romkan-0.4.tar.gz 0600
> W: ruby-romkan mixed-use-of-spaces-and-tabs (spaces: line 5, tab: line 1)

Ah.. I uploaded the spec/srpm at the time I didn't fix these...

http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/ruby-romkan.spec
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/ruby-romkan-0.4-2.fc7.src.rpm

Request for CVS admin:
--------------------------------------------------------------
New Package CVS Request
=======================
Package Name:           ruby-romkan
Short Description:      Romaji <-> Kana conversion library for Ruby
Owners:                 mtasaka@ioa.s.u-tokyo.ac.jp
Branches:               devel FC-6 FC-5
InitialCC:              (nobody)
---------------------------------------------------------------
Comment 5 Mamoru TASAKA 2007-04-16 21:12:15 EDT
Rebuilt for all branches, closing.
Thank you for reviewing and approving this package!!

P.S.
I would appreciate it if you would review the last one,
migemo itself (bug 236493).

Note You need to log in before you can comment on or make changes to this bug.